# Fight Open / Closed

## Fight Open

### **Fight Open Object**

| Field Name       | Type    | Description                                                                           |
| ---------------- | ------- | ------------------------------------------------------------------------------------- |
| timestamp        | time    | the time at which the fight started                                                   |
| eventElementType | string  | The event, in this case, always “Fight Open”                                          |
| fightSequence    | integer | the sequence of the fight                                                             |
| fightWeightClass | string  | the weightclass of the fight                                                          |
| referee          | object  | the referee of the fight; split up into first and last name fields                    |
| fightRounds      | integer | the number of rounds in the fight                                                     |
| seqnum           | integer | The sequence number of the event                                                      |
| fighters         | object  | information on each fighter in the fight, split up by corner they are fighting out of |
| stats            | object  | breakdown of fight stats                                                              |

### **Fight Open Object (split up by red/blue corner)**

| Field Name | Type    | Description                   |
| ---------- | ------- | ----------------------------- |
| nickName   | string  | The nickname of the fighter   |
| country    | string  | The country of the fighter    |
| lastName   | string  | The last name of the fighter  |
| lastName   | string  | The first name of the fighter |
| fighterId  | integer | The ID of the fighter         |
| record     | string  | The fighter’s W/L/D record    |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. Will always be 0 in the Fight Open packet.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

**Sample Response**

```
{
  "eventElementType": "FightOpen",
  "fightRounds": 3,
  "fightSequence": 42,
  "fightWeightclass": "Women's Atomweight",
  "fighters": {
    "blue": {
      "fighterId": 6133,
      "firstName": "Salvatore",
      "lastName": "Liga",
      "nickName": null,
      "record": "5-1-0"
    },
    "red": {
      "fighterId": 6112,
      "firstName": "Gaetano",
      "lastName": "Pirrello",
      "nickName": "El Tigre",
      "record": "17-7-1"
    }
  },
  "referee": {
    "firstName": "Chris",
    "id": 1024,
    "lastName": "Tagnoni"
  },
  "seqNum": 5,
  "stats": {
    "fight": {
      "blue": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      },
      "red": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      }
    },
    "round": {
      "1": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        }
      },
      "2": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        }
      },
      "3": {
        "blue": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        },
        "red": {
          "knockdown": 0,
          "reversal": 0,
          "submissionAttempt": 0,
          "takedownAttempt": 0,
          "takedownLanded": 0
        }
      }
    }
  },
  "timestamp": "2025-09-04T11:36:41.303281Z"
}
```

## **Fight Closed**

This indicates that the fight is closed, and that no more data will be sent through for this fight and that you should close the WS connection to this fight.

### **Fight Closed Object**

| Field Name       | Type    | Description                                    |
| ---------------- | ------- | ---------------------------------------------- |
| timestamp        | time    | the time at which the fight started            |
| eventElementType | string  | The event, in this case, always “Fight Closed” |
| seqNum           | integer | the sequence number of the event               |

### **Sample Response**

```
{
  "eventElementType": "FightClosed",
  "seqNum": 26,
  "timestamp": "2025-09-04T11:34:17.902412Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/pfl/fight-details-scenarios/fight-open-closed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
